# Created by pyp2rpm-3.3.3
%global pypi_name sybil

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        %mkrel 1
Summary:        Automated testing for the examples in your documentation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/sybil/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pkginfo)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-git)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(twine)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(furo)

%description
This library provides a way to test examples in your documentation by parsing them from the
documentation source and evaluating the parsed examples as part of your normal test run.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a way to test examples in your documentation by parsing them from the
documentation source and evaluating the parsed examples as part of your normal test run.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files sybil

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license docs/license.rst
%doc README.rst
%doc html



%changelog
* Wed Sep 07 2022 neoclust <neoclust> 3.0.1-1.mga9
+ Revision: 1885327
- New version  3.0.1

* Wed Mar 30 2022 umeabot <umeabot> 3.0.0-3.mga9
+ Revision: 1834361
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 3.0.0-2.mga9
+ Revision: 1782026
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 3.0.0-1.mga9
+ Revision: 1771489
- version 3.0.0
- BR python3dist(furo)

* Sat Jun 26 2021 wally <wally> 2.0.1-2.mga9
+ Revision: 1732756
- Rebuild for python 3.9

* Sun Dec 13 2020 guillomovitch <guillomovitch> 2.0.1-1.mga8
+ Revision: 1656375
- new version 2.0.1

* Sun Nov 22 2020 guillomovitch <guillomovitch> 2.0.0-1.mga8
+ Revision: 1648427
- new version 2.0.0

* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.4.0-1.mga8
+ Revision: 1627495
- new version 1.4.0

* Sun Mar 29 2020 wally <wally> 1.3.0-1.mga8
+ Revision: 1562068
- imported package python-sybil

